#ifndef UNIONSPACE_HPP_INCLUDED
#define UNIONSPACE_HPP_INCLUDED


#include"triplecube.hpp"




struct
UnionSpace
{
  static constexpr int  size = Cube::size*3;

  static Point3D  base_view_point;
  static Point3D     cursor_point;

  Cube::Element  elements_[size*size*size];

  void  clear();

        Cube::Element&  get(int  x, int  y, int  z)      ;
  const Cube::Element&  get(int  x, int  y, int  z) const;

};




#endif




