#ifndef WIRERENDERER_HPP_INCLUDED
#define WIRERENDERER_HPP_INCLUDED


#include"imp.hpp"
#include"drawer.hpp"
#include"controller.hpp"
#include"rep.hpp"
#include"object.hpp"
#include<list>
#include<vector>




struct
WireRenderer
{
  static const RenderingParameter2  rendparam;

  static constexpr int  size = 200;

  static const Point3D  center_point;

  Node  cursor_node;

  int  h_angle;
  int  v_angle;

  Node*     root_node;
  Node*  current_node;

  WireRenderer();

  void    put(bool  filter=true);
  void  unput(                 );

  void  clamp_angles();

  void  update(Drawer&  dr);

  bool  process(const Controller&  ctrl);

};




#endif




